'use strict';

var color = require('./providers/color.cjs');
var completion = require('./providers/completion.cjs');
var hover = require('./providers/hover.cjs');
var positionCheck = require('./position-check.cjs');
var settings = require('./settings.cjs');



exports.getColorPresentation = color.getColorPresentation;
exports.getColorValue = color.getColorValue;
exports.getDocumentColors = color.getDocumentColors;
exports.checkConfigColorsBlock = completion.checkConfigColorsBlock;
exports.getCompletionItem = completion.getCompletionItem;
exports.getConfigColorsCompletionItem = completion.getConfigColorsCompletionItem;
exports.getLastInstance = completion.getLastInstance;
exports.getReturnItem = completion.getReturnItem;
exports.doHover = hover.doHover;
exports.positionCheck = positionCheck.positionCheck;
exports.settings = settings.settings;
